"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Name = exports.AlternateName = exports.MainEntityOfPage = exports.Event = exports.FaxNumber = exports.Events = exports.Geo = exports.Longitude = exports.HasMap = exports.SpecialOpeningHoursSpecification = exports.Photo = exports.Reviews = exports.OpeningHoursSpecification = exports.AdditionalProperty = exports.BranchCode = exports.GeoOverlaps = exports.IsicV4 = exports.TourBookingPage = exports.GeoDisjoint = exports.GeoWithin = exports.IsAccessibleForFree = exports.Logo = exports.HasDriveThroughService = exports.ContainedIn = exports.GeoCovers = exports.Photos = exports.Slogan = exports.AmenityFeature = exports.ContainedInPlace = exports.GeoCrosses = exports.PublicAccess = exports.Map = exports.GeoEquals = exports.Address = exports.AggregateRating = exports.GeoCoveredBy = exports.GeoTouches = exports.Latitude = exports.GeoIntersects = exports.Keywords = exports.GlobalLocationNumber = exports.SmokingAllowed = exports.ContainsPlace = exports.MaximumAttendeeCapacity = exports.GeoContains = exports.Maps = exports.Review = exports.Telephone = exports.OpeningHours = exports.SubwayStation = void 0;
exports.Identifier = exports.SameAs = exports.DisambiguatingDescription = exports.AdditionalType = exports.SubjectOf = exports.Description = exports.Url = exports.Image = exports.PotentialAction = void 0;
const OpeningHours_1 = require("./src/itemProps/OpeningHours");
Object.defineProperty(exports, "OpeningHours", { enumerable: true, get: function () { return OpeningHours_1.OpeningHours; } });
const Telephone_1 = require("./src/itemProps/Telephone");
Object.defineProperty(exports, "Telephone", { enumerable: true, get: function () { return Telephone_1.Telephone; } });
const Review_1 = require("./src/itemProps/Review");
Object.defineProperty(exports, "Review", { enumerable: true, get: function () { return Review_1.Review; } });
const Maps_1 = require("./src/itemProps/Maps");
Object.defineProperty(exports, "Maps", { enumerable: true, get: function () { return Maps_1.Maps; } });
const GeoContains_1 = require("./src/itemProps/GeoContains");
Object.defineProperty(exports, "GeoContains", { enumerable: true, get: function () { return GeoContains_1.GeoContains; } });
const MaximumAttendeeCapacity_1 = require("./src/itemProps/MaximumAttendeeCapacity");
Object.defineProperty(exports, "MaximumAttendeeCapacity", { enumerable: true, get: function () { return MaximumAttendeeCapacity_1.MaximumAttendeeCapacity; } });
const ContainsPlace_1 = require("./src/itemProps/ContainsPlace");
Object.defineProperty(exports, "ContainsPlace", { enumerable: true, get: function () { return ContainsPlace_1.ContainsPlace; } });
const SmokingAllowed_1 = require("./src/itemProps/SmokingAllowed");
Object.defineProperty(exports, "SmokingAllowed", { enumerable: true, get: function () { return SmokingAllowed_1.SmokingAllowed; } });
const GlobalLocationNumber_1 = require("./src/itemProps/GlobalLocationNumber");
Object.defineProperty(exports, "GlobalLocationNumber", { enumerable: true, get: function () { return GlobalLocationNumber_1.GlobalLocationNumber; } });
const Keywords_1 = require("./src/itemProps/Keywords");
Object.defineProperty(exports, "Keywords", { enumerable: true, get: function () { return Keywords_1.Keywords; } });
const GeoIntersects_1 = require("./src/itemProps/GeoIntersects");
Object.defineProperty(exports, "GeoIntersects", { enumerable: true, get: function () { return GeoIntersects_1.GeoIntersects; } });
const Latitude_1 = require("./src/itemProps/Latitude");
Object.defineProperty(exports, "Latitude", { enumerable: true, get: function () { return Latitude_1.Latitude; } });
const GeoTouches_1 = require("./src/itemProps/GeoTouches");
Object.defineProperty(exports, "GeoTouches", { enumerable: true, get: function () { return GeoTouches_1.GeoTouches; } });
const GeoCoveredBy_1 = require("./src/itemProps/GeoCoveredBy");
Object.defineProperty(exports, "GeoCoveredBy", { enumerable: true, get: function () { return GeoCoveredBy_1.GeoCoveredBy; } });
const AggregateRating_1 = require("./src/itemProps/AggregateRating");
Object.defineProperty(exports, "AggregateRating", { enumerable: true, get: function () { return AggregateRating_1.AggregateRating; } });
const Address_1 = require("./src/itemProps/Address");
Object.defineProperty(exports, "Address", { enumerable: true, get: function () { return Address_1.Address; } });
const GeoEquals_1 = require("./src/itemProps/GeoEquals");
Object.defineProperty(exports, "GeoEquals", { enumerable: true, get: function () { return GeoEquals_1.GeoEquals; } });
const Map_1 = require("./src/itemProps/Map");
Object.defineProperty(exports, "Map", { enumerable: true, get: function () { return Map_1.Map; } });
const PublicAccess_1 = require("./src/itemProps/PublicAccess");
Object.defineProperty(exports, "PublicAccess", { enumerable: true, get: function () { return PublicAccess_1.PublicAccess; } });
const GeoCrosses_1 = require("./src/itemProps/GeoCrosses");
Object.defineProperty(exports, "GeoCrosses", { enumerable: true, get: function () { return GeoCrosses_1.GeoCrosses; } });
const ContainedInPlace_1 = require("./src/itemProps/ContainedInPlace");
Object.defineProperty(exports, "ContainedInPlace", { enumerable: true, get: function () { return ContainedInPlace_1.ContainedInPlace; } });
const AmenityFeature_1 = require("./src/itemProps/AmenityFeature");
Object.defineProperty(exports, "AmenityFeature", { enumerable: true, get: function () { return AmenityFeature_1.AmenityFeature; } });
const Slogan_1 = require("./src/itemProps/Slogan");
Object.defineProperty(exports, "Slogan", { enumerable: true, get: function () { return Slogan_1.Slogan; } });
const Photos_1 = require("./src/itemProps/Photos");
Object.defineProperty(exports, "Photos", { enumerable: true, get: function () { return Photos_1.Photos; } });
const GeoCovers_1 = require("./src/itemProps/GeoCovers");
Object.defineProperty(exports, "GeoCovers", { enumerable: true, get: function () { return GeoCovers_1.GeoCovers; } });
const ContainedIn_1 = require("./src/itemProps/ContainedIn");
Object.defineProperty(exports, "ContainedIn", { enumerable: true, get: function () { return ContainedIn_1.ContainedIn; } });
const HasDriveThroughService_1 = require("./src/itemProps/HasDriveThroughService");
Object.defineProperty(exports, "HasDriveThroughService", { enumerable: true, get: function () { return HasDriveThroughService_1.HasDriveThroughService; } });
const Logo_1 = require("./src/itemProps/Logo");
Object.defineProperty(exports, "Logo", { enumerable: true, get: function () { return Logo_1.Logo; } });
const IsAccessibleForFree_1 = require("./src/itemProps/IsAccessibleForFree");
Object.defineProperty(exports, "IsAccessibleForFree", { enumerable: true, get: function () { return IsAccessibleForFree_1.IsAccessibleForFree; } });
const GeoWithin_1 = require("./src/itemProps/GeoWithin");
Object.defineProperty(exports, "GeoWithin", { enumerable: true, get: function () { return GeoWithin_1.GeoWithin; } });
const GeoDisjoint_1 = require("./src/itemProps/GeoDisjoint");
Object.defineProperty(exports, "GeoDisjoint", { enumerable: true, get: function () { return GeoDisjoint_1.GeoDisjoint; } });
const TourBookingPage_1 = require("./src/itemProps/TourBookingPage");
Object.defineProperty(exports, "TourBookingPage", { enumerable: true, get: function () { return TourBookingPage_1.TourBookingPage; } });
const IsicV4_1 = require("./src/itemProps/IsicV4");
Object.defineProperty(exports, "IsicV4", { enumerable: true, get: function () { return IsicV4_1.IsicV4; } });
const GeoOverlaps_1 = require("./src/itemProps/GeoOverlaps");
Object.defineProperty(exports, "GeoOverlaps", { enumerable: true, get: function () { return GeoOverlaps_1.GeoOverlaps; } });
const BranchCode_1 = require("./src/itemProps/BranchCode");
Object.defineProperty(exports, "BranchCode", { enumerable: true, get: function () { return BranchCode_1.BranchCode; } });
const AdditionalProperty_1 = require("./src/itemProps/AdditionalProperty");
Object.defineProperty(exports, "AdditionalProperty", { enumerable: true, get: function () { return AdditionalProperty_1.AdditionalProperty; } });
const OpeningHoursSpecification_1 = require("./src/itemProps/OpeningHoursSpecification");
Object.defineProperty(exports, "OpeningHoursSpecification", { enumerable: true, get: function () { return OpeningHoursSpecification_1.OpeningHoursSpecification; } });
const Reviews_1 = require("./src/itemProps/Reviews");
Object.defineProperty(exports, "Reviews", { enumerable: true, get: function () { return Reviews_1.Reviews; } });
const Photo_1 = require("./src/itemProps/Photo");
Object.defineProperty(exports, "Photo", { enumerable: true, get: function () { return Photo_1.Photo; } });
const SpecialOpeningHoursSpecification_1 = require("./src/itemProps/SpecialOpeningHoursSpecification");
Object.defineProperty(exports, "SpecialOpeningHoursSpecification", { enumerable: true, get: function () { return SpecialOpeningHoursSpecification_1.SpecialOpeningHoursSpecification; } });
const HasMap_1 = require("./src/itemProps/HasMap");
Object.defineProperty(exports, "HasMap", { enumerable: true, get: function () { return HasMap_1.HasMap; } });
const Longitude_1 = require("./src/itemProps/Longitude");
Object.defineProperty(exports, "Longitude", { enumerable: true, get: function () { return Longitude_1.Longitude; } });
const Geo_1 = require("./src/itemProps/Geo");
Object.defineProperty(exports, "Geo", { enumerable: true, get: function () { return Geo_1.Geo; } });
const Events_1 = require("./src/itemProps/Events");
Object.defineProperty(exports, "Events", { enumerable: true, get: function () { return Events_1.Events; } });
const FaxNumber_1 = require("./src/itemProps/FaxNumber");
Object.defineProperty(exports, "FaxNumber", { enumerable: true, get: function () { return FaxNumber_1.FaxNumber; } });
const Event_1 = require("./src/itemProps/Event");
Object.defineProperty(exports, "Event", { enumerable: true, get: function () { return Event_1.Event; } });
const MainEntityOfPage_1 = require("./src/itemProps/MainEntityOfPage");
Object.defineProperty(exports, "MainEntityOfPage", { enumerable: true, get: function () { return MainEntityOfPage_1.MainEntityOfPage; } });
const AlternateName_1 = require("./src/itemProps/AlternateName");
Object.defineProperty(exports, "AlternateName", { enumerable: true, get: function () { return AlternateName_1.AlternateName; } });
const Name_1 = require("./src/itemProps/Name");
Object.defineProperty(exports, "Name", { enumerable: true, get: function () { return Name_1.Name; } });
const PotentialAction_1 = require("./src/itemProps/PotentialAction");
Object.defineProperty(exports, "PotentialAction", { enumerable: true, get: function () { return PotentialAction_1.PotentialAction; } });
const Image_1 = require("./src/itemProps/Image");
Object.defineProperty(exports, "Image", { enumerable: true, get: function () { return Image_1.Image; } });
const Url_1 = require("./src/itemProps/Url");
Object.defineProperty(exports, "Url", { enumerable: true, get: function () { return Url_1.Url; } });
const Description_1 = require("./src/itemProps/Description");
Object.defineProperty(exports, "Description", { enumerable: true, get: function () { return Description_1.Description; } });
const SubjectOf_1 = require("./src/itemProps/SubjectOf");
Object.defineProperty(exports, "SubjectOf", { enumerable: true, get: function () { return SubjectOf_1.SubjectOf; } });
const AdditionalType_1 = require("./src/itemProps/AdditionalType");
Object.defineProperty(exports, "AdditionalType", { enumerable: true, get: function () { return AdditionalType_1.AdditionalType; } });
const DisambiguatingDescription_1 = require("./src/itemProps/DisambiguatingDescription");
Object.defineProperty(exports, "DisambiguatingDescription", { enumerable: true, get: function () { return DisambiguatingDescription_1.DisambiguatingDescription; } });
const SameAs_1 = require("./src/itemProps/SameAs");
Object.defineProperty(exports, "SameAs", { enumerable: true, get: function () { return SameAs_1.SameAs; } });
const Identifier_1 = require("./src/itemProps/Identifier");
Object.defineProperty(exports, "Identifier", { enumerable: true, get: function () { return Identifier_1.Identifier; } });
const SubwayStation_1 = require("./src/SubwayStation");
Object.defineProperty(exports, "SubwayStation", { enumerable: true, get: function () { return SubwayStation_1.SubwayStation; } });
exports.default = {
    SubwayStation: SubwayStation_1.SubwayStation,
    OpeningHours: OpeningHours_1.OpeningHours,
    Telephone: Telephone_1.Telephone,
    Review: Review_1.Review,
    Maps: Maps_1.Maps,
    GeoContains: GeoContains_1.GeoContains,
    MaximumAttendeeCapacity: MaximumAttendeeCapacity_1.MaximumAttendeeCapacity,
    ContainsPlace: ContainsPlace_1.ContainsPlace,
    SmokingAllowed: SmokingAllowed_1.SmokingAllowed,
    GlobalLocationNumber: GlobalLocationNumber_1.GlobalLocationNumber,
    Keywords: Keywords_1.Keywords,
    GeoIntersects: GeoIntersects_1.GeoIntersects,
    Latitude: Latitude_1.Latitude,
    GeoTouches: GeoTouches_1.GeoTouches,
    GeoCoveredBy: GeoCoveredBy_1.GeoCoveredBy,
    AggregateRating: AggregateRating_1.AggregateRating,
    Address: Address_1.Address,
    GeoEquals: GeoEquals_1.GeoEquals,
    Map: Map_1.Map,
    PublicAccess: PublicAccess_1.PublicAccess,
    GeoCrosses: GeoCrosses_1.GeoCrosses,
    ContainedInPlace: ContainedInPlace_1.ContainedInPlace,
    AmenityFeature: AmenityFeature_1.AmenityFeature,
    Slogan: Slogan_1.Slogan,
    Photos: Photos_1.Photos,
    GeoCovers: GeoCovers_1.GeoCovers,
    ContainedIn: ContainedIn_1.ContainedIn,
    HasDriveThroughService: HasDriveThroughService_1.HasDriveThroughService,
    Logo: Logo_1.Logo,
    IsAccessibleForFree: IsAccessibleForFree_1.IsAccessibleForFree,
    GeoWithin: GeoWithin_1.GeoWithin,
    GeoDisjoint: GeoDisjoint_1.GeoDisjoint,
    TourBookingPage: TourBookingPage_1.TourBookingPage,
    IsicV4: IsicV4_1.IsicV4,
    GeoOverlaps: GeoOverlaps_1.GeoOverlaps,
    BranchCode: BranchCode_1.BranchCode,
    AdditionalProperty: AdditionalProperty_1.AdditionalProperty,
    OpeningHoursSpecification: OpeningHoursSpecification_1.OpeningHoursSpecification,
    Reviews: Reviews_1.Reviews,
    Photo: Photo_1.Photo,
    SpecialOpeningHoursSpecification: SpecialOpeningHoursSpecification_1.SpecialOpeningHoursSpecification,
    HasMap: HasMap_1.HasMap,
    Longitude: Longitude_1.Longitude,
    Geo: Geo_1.Geo,
    Events: Events_1.Events,
    FaxNumber: FaxNumber_1.FaxNumber,
    Event: Event_1.Event,
    MainEntityOfPage: MainEntityOfPage_1.MainEntityOfPage,
    AlternateName: AlternateName_1.AlternateName,
    Name: Name_1.Name,
    PotentialAction: PotentialAction_1.PotentialAction,
    Image: Image_1.Image,
    Url: Url_1.Url,
    Description: Description_1.Description,
    SubjectOf: SubjectOf_1.SubjectOf,
    AdditionalType: AdditionalType_1.AdditionalType,
    DisambiguatingDescription: DisambiguatingDescription_1.DisambiguatingDescription,
    SameAs: SameAs_1.SameAs,
    Identifier: Identifier_1.Identifier
};
